### Method

# GLib IOChannel get_buffer_condition

#### Declaration

    GIOCondition
    g_io_channel_get_buffer_condition (
      GIOChannel* channel
    )

#### Description

This function returns a `GIOCondition` depending on whether there is data to be read/space to write data in the internal buffers in the `GIOChannel`. Only the flags `G_IO_IN` and `G_IO_OUT` may be set.

#### Return value

Type: `GIOCondition`

A `GIOCondition`.